package com.cool.store.enums;

import java.util.Arrays;
import java.util.List;

/**
 * @Author suzhuhong
 * @Date 2025/4/7 14:57
 * @Version 1.0
 */
public enum ShopAccountEnum {

    HUOMA("火码POS",OpenStatusEnum.OPENSTATUSENUM_1),
    YLS("云流水",OpenStatusEnum.OPENSTATUSENUM_1),
    XZG("新掌柜",OpenStatusEnum.OPENSTATUSENUM_1),
    MTTG("美团团购",OpenStatusEnum.OPENSTATUSENUM_1),
    DY("抖音团购",OpenStatusEnum.OPENSTATUSENUM_1),
    KS("快手团购",OpenStatusEnum.OPENSTATUSENUM_1),
    MT("美团外卖",OpenStatusEnum.OPENSTATUSENUM_1),
    ELM("饿了么外卖",OpenStatusEnum.OPENSTATUSENUM_1),
    JINGDONG("京东外卖",OpenStatusEnum.OPENSTATUSENUM_1),
    ;


    public static List<String> getSpecialList(){
        return Arrays.asList(HUOMA.getSystemName(),XZG.getSystemName());
    }

    public static List<ShopAccountEnum> getSpecialEnumList(){
        return Arrays.asList(HUOMA,YLS,XZG);
    }

    private String systemName;

    private OpenStatusEnum initStatus;

    ShopAccountEnum(String systemName,OpenStatusEnum initStatus){
        this.systemName = systemName;
        this.initStatus = initStatus;

    }

    public String getSystemName() {
        return systemName;
    }

    public void setSystemName(String systemName) {
        this.systemName = systemName;
    }

    public OpenStatusEnum getInitStatus() {
        return initStatus;
    }

    public void setInitStatus(OpenStatusEnum initStatus) {
        this.initStatus = initStatus;
    }
}
